Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Interface Properties.Reader

Enclosing class:
  Properties

    public static interface Properties.Reader

This class helps to store and read custom types using `Properties.setObject(java.lang.String, java.lang.Object)` and `Properties.getObject(java.lang.String, java.lang.Object)` methods. Implementations of this class should be stored in "META_INF\debugger" folder.

Method Summary
`String[]` | `getSupportedClassNames()` Returns array of classNames supported by this reader.
`Object` | `read(String className, Properties properties)` Reads object with given className.
`void` | `write(Object object, Properties properties)` Writes given object to given properties subfolder.

Method Detail

### getSupportedClassNames

    String[] getSupportedClassNames()

  Returns array of classNames supported by this reader.

  Returns:
    array of classNames supported by this reader

### read

    Object read(String className,
                Properties properties)

  Reads object with given className.

  Parameters:
    `className` - a name of class to be readed
    `properties` - a properties subfloder containing properties for this object
  Returns:
    a new instance of className class

### write

    void write(Object object,
               Properties properties)

  Writes given object to given properties subfolder.

  Parameters:
    `object` - a object to be saved
    `properties` - a properties subfolder to be used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.